# `@cua.run/babel`

`cua` is your favorite async tasks handler to offload your JavaScript API.


<br />

`@cua.run/babel` enable you to seamlessly call cua functions as follows:


```ts
import type { NextApiRequest, NextApiResponse } from "next";
import sentToIntercom from "../../cua-functions/sendToIntercom";

export default function handler(req: NextApiRequest, res: NextApiResponse) {
  const user = { /* ... */ }
  await sentToIntercom(user); // will be replaced by `cua.push('sentToIntercom', [user])` by our babel plugin
  res.status(200).json({ name: "John Doe" });
}
```


## Install



```sh
yarn add @cua.run/babel

# or

npm i @cua.run/babel
```


## Configuration

### `CRA`


### `babel`

### `webpack`


### `Next.js`
